# TdApi.ChatStatisticsChannel (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatStatisticsChannel

Package it.tdlight.jni

# Class TdApi.ChatStatisticsChannel

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatStatistics
it.tdlight.jni.TdApi.ChatStatisticsChannel

Enclosing class:
  TdApi

    public static class TdApi.ChatStatisticsChannel
    extends TdApi.ChatStatistics

A detailed statistics about a channel chat.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`double` | `enabledNotificationsPercentage` | A percentage of users with enabled notifications for the chat.
`TdApi.StatisticalGraph` | `instantViewInteractionGraph` | A graph containing number of views of associated with the chat instant views.
`TdApi.StatisticalGraph` | `joinBySourceGraph` | A graph containing number of new member joins per source.
`TdApi.StatisticalGraph` | `joinGraph` | A graph containing number of members joined and left the chat.
`TdApi.StatisticalGraph` | `languageGraph` | A graph containing number of users viewed chat messages per language.
`TdApi.StatisticalValue` | `meanShareCount` | Mean number of times the recently sent messages was shared.
`TdApi.StatisticalValue` | `meanViewCount` | Mean number of times the recently sent messages was viewed.
`TdApi.StatisticalValue` | `memberCount` | Number of members in the chat.
`TdApi.StatisticalGraph` | `memberCountGraph` | A graph containing number of members in the chat.
`TdApi.StatisticalGraph` | `messageInteractionGraph` | A graph containing number of chat message views and shares.
`TdApi.StatisticalGraph` | `muteGraph` | A graph containing number of members muted and unmuted the chat.
`TdApi.DateRange` | `period` | A period to which the statistics applies.
`TdApi.ChatStatisticsMessageInteractionInfo[]` | `recentMessageInteractions` | Detailed statistics about number of views and shares of recently sent messages.
`TdApi.StatisticalGraph` | `viewCountByHourGraph` | A graph containing number of message views in a given hour in the last two weeks.
`TdApi.StatisticalGraph` | `viewCountBySourceGraph` | A graph containing number of message views per source.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatStatisticsChannel()` | A detailed statistics about a channel chat.

`ChatStatisticsChannel​(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanViewCount, TdApi.StatisticalValue meanShareCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsMessageInteractionInfo[] recentMessageInteractions)`

A detailed statistics about a channel chat.

`ChatStatisticsChannel​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### period

public TdApi.DateRange period
A period to which the statistics applies.

### memberCount

public TdApi.StatisticalValue memberCount
Number of members in the chat.

### meanViewCount

public TdApi.StatisticalValue meanViewCount
Mean number of times the recently sent messages was viewed.

### meanShareCount

public TdApi.StatisticalValue meanShareCount
Mean number of times the recently sent messages was shared.

### enabledNotificationsPercentage

public double enabledNotificationsPercentage
A percentage of users with enabled notifications for the chat.

### memberCountGraph

public TdApi.StatisticalGraph memberCountGraph
A graph containing number of members in the chat.

### joinGraph

public TdApi.StatisticalGraph joinGraph
A graph containing number of members joined and left the chat.

### muteGraph

public TdApi.StatisticalGraph muteGraph
A graph containing number of members muted and unmuted the chat.

### viewCountByHourGraph

public TdApi.StatisticalGraph viewCountByHourGraph
A graph containing number of message views in a given hour in the last two weeks.

### viewCountBySourceGraph

public TdApi.StatisticalGraph viewCountBySourceGraph
A graph containing number of message views per source.

### joinBySourceGraph

public TdApi.StatisticalGraph joinBySourceGraph
A graph containing number of new member joins per source.

### languageGraph

public TdApi.StatisticalGraph languageGraph
A graph containing number of users viewed chat messages per language.

### messageInteractionGraph

public TdApi.StatisticalGraph messageInteractionGraph
A graph containing number of chat message views and shares.

### instantViewInteractionGraph

public TdApi.StatisticalGraph instantViewInteractionGraph
A graph containing number of views of associated with the chat instant views.

### recentMessageInteractions

public TdApi.ChatStatisticsMessageInteractionInfo[] recentMessageInteractions
Detailed statistics about number of views and shares of recently sent messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatStatisticsChannel

public ChatStatisticsChannel()
A detailed statistics about a channel chat.

### ChatStatisticsChannel

public ChatStatisticsChannel​(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanViewCount, TdApi.StatisticalValue meanShareCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsMessageInteractionInfo[] recentMessageInteractions)
A detailed statistics about a channel chat.

Parameters:
  `period` - DateRange A period to which the statistics applies.
  `memberCount` - StatisticalValue Number of members in the chat.
  `meanViewCount` - StatisticalValue Mean number of times the recently sent messages was viewed.
  `meanShareCount` - StatisticalValue Mean number of times the recently sent messages was shared.
  `enabledNotificationsPercentage` - double A percentage of users with enabled notifications for the chat.
  `memberCountGraph` - StatisticalGraph A graph containing number of members in the chat.
  `joinGraph` - StatisticalGraph A graph containing number of members joined and left the chat.
  `muteGraph` - StatisticalGraph A graph containing number of members muted and unmuted the chat.
  `viewCountByHourGraph` - StatisticalGraph A graph containing number of message views in a given hour in the last two weeks.
  `viewCountBySourceGraph` - StatisticalGraph A graph containing number of message views per source.
  `joinBySourceGraph` - StatisticalGraph A graph containing number of new member joins per source.
  `languageGraph` - StatisticalGraph A graph containing number of users viewed chat messages per language.
  `messageInteractionGraph` - StatisticalGraph A graph containing number of chat message views and shares.
  `instantViewInteractionGraph` - StatisticalGraph A graph containing number of views of associated with the chat instant views.
  `recentMessageInteractions` - ChatStatisticsMessageInteractionInfo[] Detailed statistics about number of views and shares of recently sent messages.

### ChatStatisticsChannel

public ChatStatisticsChannel​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`